import request from '@/utils/request'

// 查询行政区域统计
export function getAdministeration() {
    return request({
        url: 'ehs/indexStatistics/getHiddenDangerSituationList',
        method: 'get',
    })
}
// 查询所处位置统计
export function getPlace() {
    return request({
        url: '/ehs/indexStatistics/getHiddenDangerSituationByEnterpriseNameList',
        method: 'get'
    })
}

// 查询上报隐患数量
export function getDanger() {
    return request({
        url: '/ehs/indexStatistics/getHiddenDangerRankVoList',
        method: 'get',
    })
}
// 查询上报隐患数量
export function getDangerByDeptId() {
  return request({
    url: '/ehs/indexStatistics/getHiddenDangerRankVoByDeptIdList',
    method: 'get',
  })
}
// 查询隐患数据统计分析 柱
export function getDangerList(year) {
    return request({
        url: '/ehs/indexStatistics/getHiddenDangerDataMapList?year='+ year,
        method: 'get',
        // params: year
    })
}

// 查询隐患类型分析  环
export function getDangerClass(data) {
return request({
        url: '/ehs/indexStatistics/getHiddenDangerTypeMapList',
        method: 'get',
        params: data
    })
}

// 查询行业领域统计  饼
export function getTrade(){
    return request({
        url: '/ehs/indexStatistics/getEnterpriseMapList',
        method: 'get',
    })
}

// 查询经济类型统计  饼
export function getEconomics(){
    return request({
        url: 'ehs/indexStatistics/geteconomicTypeMapList',
        method: 'get',
    })
}
// 查询企业规模统计  饼
export function getScale(){
    return request({
        url: '/ehs/indexStatistics/getenterpriseScaleMapList',
        method: 'get',
    })
}
